%global _hardened_build 1
%define _prefix /opt/symas
%define _libdir %{_prefix}/lib
%define _varfix /var/symas
%define _etcfix /opt/symas/etc
%define _cflags "-O2 -g"

Summary:            Utilities from the general purpose cryptography library with TLS implementation
Name:               symas-openssl
Version:            1.1.1l
Release:            1%{?dist}
License:            BSD
BuildRequires: gcc
BuildRequires: coreutils, sed, zlib-devel, /usr/bin/cmp
%if 0%{?suse_version}
BuildRequires: perl
%else
BuildRequires: perl-interpreter
%endif
BuildRequires: lksctp-tools-devel
BuildRequires: /usr/bin/rename
BuildRequires: /usr/bin/pod2man
BuildRequires: /usr/sbin/sysctl
BuildRequires: perl(Test::Harness), perl(Test::More), perl(Math::BigInt)
BuildRequires: perl(Module::Load::Conditional), perl(File::Temp)
BuildRequires: perl(Time::HiRes), perl(Pod::Html)
BuildRequires: perl(FindBin), perl(lib), perl(File::Compare), perl(File::Copy)
Requires: coreutils
AutoReqProv:        no
URL:                http://openssl.org
Requires: symas-openssl-libs = %{version}-%{release}
AutoReqProv:        no

Source0: https://www.openssl.org/source/openssl-%{version}.tar.gz

%description
The OpenSSL toolkit provides support for secure communications between
machines. OpenSSL includes a certificate management tool and shared
libraries which provide various cryptographic algorithms and
protocols.

%prep
%setup -n openssl-%{version}

%build
HASHBANGPERL=/usr/bin/perl ./Configure no-idea enable-ec_nistp_64_gcc_128 no-mdc2 no-rc5 no-egd \
-g --debug --prefix=%{_prefix} --libdir=lib --openssldir=%{_prefix}/ssl \
shared linux-x86_64 -g -O2

%check
make test

%install
make install DESTDIR=%{buildroot} STRIP_OPTS=""
rm -rf %{buildroot}%{_prefix}/share/doc/openssl/html/
rm -rf %{buildroot}%{_libdir}/*.a

%package libs
Summary: OpenSSL Libaries
AutoReqProv:        no

%description libs
The symas-openssl-libs package contains the openssl libraries

%package devel
Summary: openssl Development
Requires: symas-openssl-libs = %{version}-%{release}
AutoReqProv:        no

%description devel
The openssl-devel package contains the linking libraries and include files


%files
%defattr(-,root,root)
%{_prefix}/bin
%{_prefix}/ssl
%{_prefix}/share/man/man1
%{_prefix}/share/man/man5
%{_prefix}/share/man/man7

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/engines-1.1
%{_prefix}/share/man/man3

%files devel
%defattr(-,root,root)
%{_prefix}/include
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%changelog
* Tue Aug 24 2021 Symas Support <support@symas.com> - 1.1.1l-1
* OpenSSL 1.1.1l release
* Mon May 24 2021 Symas Support <support@symas.com> - 1.1.1k-2
* Use odd Symas OpenLDAP Gold path for SSL dir
* Tue Apr 6 2021 Symas Support <support@symas.com> - 1.1.1k-1
- initial packaging
